#include <stdio.h>
#include <ctype.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include "parse_escape.h"

int main(int argc, char **argv) {
	char n_flag = 0;
	char e_flag = 0;

	argv++;
	argc--;

	for (int i = 0; i < argc; i++) {
		if (argv[i][0] == '-') {
			if (strstr(argv[i] + 1, "n"))
				n_flag = 1;

			else if (strstr(argv[i] + 1, "e"))
				e_flag = 1;

			argc--;
			argv++;
		}
	}

	for (int i = 0; i < argc; i++) {
		if (e_flag) {
			char *str = mu_parse_escape(NULL, argv[i]);
			if (str == NULL)
				return 1;

			fputs(str, stdout);
			free(str);
		}

		else
			fputs(argv[i], stdout);

		if (i < argc - 1)
			putchar(' ');
	}

	if (!n_flag)
		putchar('\n');

	return 0;
}
